%NIGHTLYRUN - run the nighlty tests on 'tests/Verification'
%
%   This script goes to each directory of 'tests/Verifications' and
%   launch the nightly tests.

%Go to Test directory
eval(['cd ' ISSM_DIR '/tests/']);

%Run all verification tests
cd Verification

%Get a list of the test decks
[status,list]=system('ls -l | grep -v CVS | grep -v cielo | awk ''{printf("%s|",$9);}'' '); %only works on *nix systems.
list=strsplit(list,'|');
%Go through list of decks, and run the deck runme.m files.
for i=2:length(list)-1,
	eval(['cd ' list{i}]);
	runme;
	cd ..
end
